# Uses of Interface
org.apache.cxf.configuration.ConfiguredBeanLocator.BeanLoaderListener

Packages that use ConfiguredBeanLocator.BeanLoaderListener
Package
Description
org.apache.cxf.bus.extension
org.apache.cxf.bus.spring
org.apache.cxf.configuration

- ## Uses of ConfiguredBeanLocator.BeanLoaderListener in org.apache.cxf.bus.extension

  Methods in org.apache.cxf.bus.extension with parameters of type ConfiguredBeanLocator.BeanLoaderListener
  Modifier and Type
  Method
  Description
  `<T> boolean`
  ExtensionManagerImpl.`loadBeansOfType(Class<T> type, ConfiguredBeanLocator.BeanLoaderListener<T> listener)`

- ## Uses of ConfiguredBeanLocator.BeanLoaderListener in org.apache.cxf.bus.spring

  Methods in org.apache.cxf.bus.spring with parameters of type ConfiguredBeanLocator.BeanLoaderListener
  Modifier and Type
  Method
  Description
  `<T> boolean`
  SpringBeanLocator.`loadBeansOfType(Class<T> type, ConfiguredBeanLocator.BeanLoaderListener<T> listener)`

- ## Uses of ConfiguredBeanLocator.BeanLoaderListener in org.apache.cxf.configuration

  Methods in org.apache.cxf.configuration with parameters of type ConfiguredBeanLocator.BeanLoaderListener
  Modifier and Type
  Method
  Description
  `<T> boolean`
  ConfiguredBeanLocator.`loadBeansOfType(Class<T> type, ConfiguredBeanLocator.BeanLoaderListener<T> listener)`
  Iterates through the beans of the given type, calling the listener to determine if it should be loaded or not.